## newt 0.52.19

=== debian/changelog ===
newt (0.52.19-1) unstable; urgency=medium

  * New upstream release
    - refresh patches. Lanugage patches merged upstream
  * DH_COMPAT=10, with debhelper depends updated
  * Standards-Version now 3.9.8
  * Remove -dbg packages in favour of autogenerated -dbgsym packages

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 15 Oct 2016 09:00:06 +0100

newt (0.52.18-2) unstable; urgency=medium

  * bidi.patch: Look for libfribidi in multi-arch directory.
    Closes: #794691
  * Add comments to all patches.
  * debhelper >= 9.20141010 required for multstage build
  * Remove obsolete conffile. Closes: #793690
  * Ack. bugs fixed in older versions: Closes: #351367, #714786, #5799412.
  * Make python-* extensions Multi-Arch: same
  * Add dh-python to Build-Depends.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Dec 2015 10:21:48 +0000
