=== debian/control ===
Source: newt
Section: devel
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Standards-Version: 3.9.8
Homepage: https://fedorahosted.org/newt/
Vcs-Git: git://git.fedorahosted.org/git/newt
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Build-Depends: sgmltools-lite, libslang2-dev  (>=2.0.4-2), libpopt-dev,
 debhelper (>=10), gettext, libfribidi-dev, tcl8.6-dev, 
 dh-autoreconf, autoconf, dpkg-dev (>= 1.17.14), 
 dh-python <!stage1>, python-all-dev (>= 2.6.6-3~) <!stage1>,  python-all-dbg <!stage1>,
 python3-all-dev <!stage1>, python3-all-dbg <!stage1>

Package: libnewt-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libslang2-dev (>= 2.0.2), libnewt0.52 (=${binary:Version}), ${misc:Depends}
Description: Developer's toolkit for newt windowing library
 These are the header files and libraries for developing applications
 which use newt. Newt is a windowing toolkit for text mode, which provides
 many widgets and stackable windows.

Package: libnewt-pic
Architecture: any
Multi-Arch: same
Section: libdevel
Priority: extra
Depends: libnewt-dev (=${binary:Version}), ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Not Erik's Windowing Toolkit, shared library subset kit
 This is used to develop subsets of the newt shared libraries for use on
 custom installation floppies and in embedded systems. Unless you're
 making one of those, you won't need this package.

Package: newt-tcl
Architecture: any
Section: interpreters
Priority: extra
Depends: libnewt0.52 (=${binary:Version}) , tcl8.3 | tcl8.4 | tcl8.5, ${misc:Depends}, ${shlibs:Depends}
Description: NEWT module for Tcl
 This module allows you to build a text UI for your Tcl scripts
 using newt.

Package: python-newt
Architecture: any
Multi-Arch: same
Section: python
Provides: ${python:Provides}
Depends: libnewt0.52 (=${binary:Version}) , ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Build-Profiles: <!stage1>
Description: NEWT module for Python
 This module allows you to built a text UI for your Python scripts
 using newt.

Package: python3-newt
Architecture: any
Multi-Arch: same
Section: python
Provides: ${python3:Provides}
Depends: libnewt0.52 (=${binary:Version}) , ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Build-Profiles: <!stage1>
Description: NEWT module for Python3
 This module allows you to built a text UI for your Python3 scripts
 using newt.

Package: libnewt0.52
Architecture: any
Section: libs
Priority: important
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: libfribidi0
Multi-Arch: same
Description: Not Erik's Windowing Toolkit - text mode windowing with slang
 Newt is a windowing toolkit for text mode built from the slang library.
 It allows color text mode applications to easily use stackable windows,
 push buttons, check boxes, radio buttons, lists, entry fields, labels,
 and displayable text. Scrollbars are supported, and forms may be nested
 to provide extra functionality. This package contains the shared library
 for programs that have been built with newt.

Package: whiptail
Architecture: any
Section: utils
Priority: important
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Displays user-friendly dialog boxes from shell scripts
 Whiptail is a "dialog" replacement using newt instead of ncurses. It
 provides a method of displaying several different types of dialog boxes
 from shell scripts. This allows a developer of a script to interact with
 the user in a much friendlier manner.
