## newt 0.52.20

=== debian/changelog ===
newt (0.52.20-8) unstable; urgency=medium

  * Don't ship /etc/newt/palette.original. Closes: #909030

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 27 Sep 2018 12:36:41 +0100

newt (0.52.20-7) unstable; urgency=medium

  * Standards-Version: 4.2.1; no changes required
  * Don't hard-code Automake version. Closes: #908739
  * Grammar fix in description. Closes: #908740
  * Close vcs reference bug. Closes: #572753
  * Delete old palette.original files, too. Closes: #784390

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 Sep 2018 13:58:51 +0100

newt (0.52.20-6) unstable; urgency=medium

  * Bump automake version to 1.16. Closes: #906494
  * Standards=Version: 4.2.0; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 18 Aug 2018 17:32:23 +0100

newt (0.52.20-5) unstable; urgency=medium

  * Drop ancient X-Python*-Version statements from d/control
  * Standards-Version: 4.1.4; no changes required
  * Rebuild against python3.7

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 28 Jun 2018 09:50:38 +0100

newt (0.52.20-4) unstable; urgency=medium

  * Drop Priority: important for whiptail, to minimize system size.
    Closes: #893563
  * Replace dependency of newt-tcl from tcl8.3 | tcl8.4 | tcl8.5 to tcl8.6
    since the package is built using Tcl 8.6. Closes: #893136
  * Minor corrections to whiptail.1 by Bjarni Ingi Gislason. 
    Closes: #890044
  * Drop references to obsolete dbg packages, dependencies

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Mar 2018 13:07:22 +0000

newt (0.52.20-3) unstable; urgency=medium

  * Create udeb. Closes: #871033
  * Update watch file to look at releases.pagure.io
  * Delete obsolete patches
  * Set VCS to salsa.debian.org/mckinstry/newt

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 07 Mar 2018 15:31:56 +0000

newt (0.52.20-2) unstable; urgency=medium

  * Standards-Version: 4.1.3
  * Drop Priority: extra in favour of optional
  * Drop Priority: important on lib package
  * Drop dh-autoconf, autoconf B-D as automatic on DH 10
  * Change homepage to https://pagure.io/newt
  * Drop broken VCS-Git
  * Drop obsolete pre-depends
  * Drop obsolete alternatives. Closes: #868056
  * Delete old /etc/newt/palette if left over on previous install
  * Fix fail-to-crossbuild due to Python dependencies.
    Thanks to Helmut Grohe. Closes: #888300

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 30 Jan 2018 08:46:27 +0000

newt (0.52.20-1) unstable; urgency=medium

  * New upstream release. Closes: #847729

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 May 2017 11:53:05 +0100
