=== debian/control ===
--- 
+++ 
@@ -2,16 +2,24 @@
 Section: devel
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Standards-Version: 3.9.8
-Homepage: https://fedorahosted.org/newt/
-Vcs-Git: git://git.fedorahosted.org/git/newt
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.2
-Build-Depends: sgmltools-lite, libslang2-dev  (>=2.0.4-2), libpopt-dev,
- debhelper (>=10), gettext, libfribidi-dev, tcl8.6-dev, 
- dh-autoreconf, autoconf, dpkg-dev (>= 1.17.14), 
- dh-python <!stage1>, python-all-dev (>= 2.6.6-3~) <!stage1>,  python-all-dbg <!stage1>,
- python3-all-dev <!stage1>, python3-all-dbg <!stage1>
+Vcs-Browser: https://salsa.debian.org:/mckinstry/newt.git
+Vcs-Git: https://salsa.debian.org:/mckinstry/newt.git
+Standards-Version: 4.2.1
+Homepage: https://pagure.io/newt
+Build-Depends: debhelper (>= 10),
+ sgmltools-lite, 
+ automake (>= 1.16),
+ libslang2-dev  (>=2.0.4-2), 
+ libpopt-dev,
+ gettext, 
+ libfribidi-dev, 
+ tcl8.6-dev, 
+ dh-python <!stage1>, 
+ python-all-dev:any (>= 2.6.6-3~) <!stage1>,  
+ python3-all-dev:any <!stage1>, 
+ libpython-all-dev (>= 2.6.6-3~) <!stage1>,
+ libpython3-all-dev <!stage1>,
+ libpython-all-dbg <!stage1>,
 
 Package: libnewt-dev
 Architecture: any
@@ -27,19 +35,27 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Priority: extra
 Depends: libnewt-dev (=${binary:Version}), ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Description: Not Erik's Windowing Toolkit, shared library subset kit
  This is used to develop subsets of the newt shared libraries for use on
  custom installation floppies and in embedded systems. Unless you're
  making one of those, you won't need this package.
 
+Package: libnewt0.52-udeb
+Architecture: any
+Section: debian-installer
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Not Erik's Windowing Toolkit for Debian Installer
+ This is a udeb, or a microdeb, of the Not Erik's Windowing Toolkit. As such
+ it is the installer counterpart of libnewt0.52.
+ You only need this package to support applications needing Newt during
+ the Debian installation process time and probably don't need to select it.
+Package-Type: udeb
+
 Package: newt-tcl
 Architecture: any
 Section: interpreters
-Priority: extra
-Depends: libnewt0.52 (=${binary:Version}) , tcl8.3 | tcl8.4 | tcl8.5, ${misc:Depends}, ${shlibs:Depends}
+Depends: libnewt0.52 (=${binary:Version}) , tcl8.6, ${misc:Depends}, ${shlibs:Depends}
 Description: NEWT module for Tcl
  This module allows you to build a text UI for your Tcl scripts
  using newt.
@@ -52,7 +68,7 @@
 Depends: libnewt0.52 (=${binary:Version}) , ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Build-Profiles: <!stage1>
 Description: NEWT module for Python
- This module allows you to built a text UI for your Python scripts
+ This module allows you to build a text UI for your Python scripts
  using newt.
 
 Package: python3-newt
@@ -63,15 +79,13 @@
 Depends: libnewt0.52 (=${binary:Version}) , ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Build-Profiles: <!stage1>
 Description: NEWT module for Python3
- This module allows you to built a text UI for your Python3 scripts
+ This module allows you to build a text UI for your Python3 scripts
  using newt.
 
 Package: libnewt0.52
 Architecture: any
 Section: libs
-Priority: important
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Recommends: libfribidi0
 Multi-Arch: same
 Description: Not Erik's Windowing Toolkit - text mode windowing with slang
@@ -85,10 +99,8 @@
 Package: whiptail
 Architecture: any
 Section: utils
-Priority: important
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Description: Displays user-friendly dialog boxes from shell scripts
  Whiptail is a "dialog" replacement using newt instead of ncurses. It
  provides a method of displaying several different types of dialog boxes
