=== debian/changelog ===
newt (0.52.20-1ubuntu1+9.0trisquel2) etiona; urgency=medium

  * Color palette set back to default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 04 May 2019 20:56:16 +0200

newt (0.52.20-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Fix python-* package descriptions.
    - Install/remove alternatives for the ubuntu palette.
    - Don't install python-newt example files.
    - Install whiptail in /bin instead of /usr/bin.
    - Install library into /lib instead of /usr/lib.
    - Revert the stage1 changes, the package can be cross-built without it.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 12 Jan 2018 17:42:24 +0100

newt (0.52.18-3ubuntu3) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 04 Aug 2017 16:26:51 +1200

newt (0.52.18-3ubuntu2) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 12 May 2017 12:08:54 +1200

newt (0.52.18-3ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Fix python-* package descriptions.
    - Install/remove alternatives for the ubuntu palette.
    - Don't install python-newt example files.
    - Install whiptail in /bin instead of /usr/bin.
    - Install library into /lib instead of /usr/lib.
    - Revert the stage1 changes, the package can be cross-built without it.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 May 2016 19:20:58 +0200

newt (0.52.18-3) unstable; urgency=medium

  * Rebuild against python3.5 for transition
  * Standards-Version: 3.9.7. No changes required.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Mar 2016 22:05:40 +0000
