## newt 0.52.21

=== debian/changelog ===
newt (0.52.21-5ubuntu2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:30:58 +0000

newt (0.52.21-5ubuntu1) jammy; urgency=low

  * Merge from Debian unstable (LP: #1958502). Remaining changes:
    - Install/remove alternatives for the ubuntu palette.
    - Don't install python-newt example files.
    - Add correct build-dependencies on python3-all-dbg and
      libpython3-all-dbg, needed due to debian/patches/snack.patch.
    - Revert Debian's dropping of /etc/newt/palette.original, used as an
      alternative in Ubuntu.
    - Remove libnewt0.52.preinst altogether, which contains destructive
      operations with none of the appropriate version guards.
    - Drop call to update-alternatives --auto in our postinst, which would
      clobber the user's settings.

 -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Wed, 19 Jan 2022 14:31:39 +0100

newt (0.52.21-5) unstable; urgency=medium

  * Standards-Version: 4.6.0
  * Use debhelper-compat 13
  * Use dh-sequence-python3 instead of --with python3, dh-python
  * Point Vcs-Git to debian/latest branch for DEP-14
  * Add d/gbp.conf to point to DEP-14 branches
  * Drop custom 'xz' compression d/source/options
  * Change stage1 build profile to nopython. Closes: #949721
  * B-D on python3-all-dbg
  * python.patch: Drop refs to obsolete pyversions

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 07 Sep 2021 10:59:05 +0100

newt (0.52.21-4ubuntu8) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:57:10 +0000

newt (0.52.21-4ubuntu7) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:21:30 +0200

newt (0.52.21-4ubuntu6) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 26 Feb 2021 08:11:32 +0100

newt (0.52.21-4ubuntu5) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:35:39 +0100

newt (0.52.21-4ubuntu4) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:41:02 +0100

newt (0.52.21-4ubuntu3) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 10:53:13 +0200

newt (0.52.21-4ubuntu2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:21:04 +0100

newt (0.52.21-4ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Install/remove alternatives for the ubuntu palette.
    - Don't install python-newt example files.
    - Add correct build-dependencies on python3-all-dbg and
      libpython3-all-dbg, needed due to debian/patches/snack.patch.
    - Revert Debian's dropping of /etc/newt/palette.original, used as an
      alternative in Ubuntu.
    - Remove libnewt0.52.preinst altogether, which contains destructive
      operations with none of the appropriate version guards.
    - Drop call to update-alternatives --auto in our postinst, which would
      clobber the user's settings.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 11:44:47 -0800

newt (0.52.21-4) unstable; urgency=medium

  * Switch from sgmltools-lite to docbook-utils for py2, sgmltools orphaned.
    Closes: #946880
  * Standards-Version: 4.4.1.0

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 17 Dec 2019 07:32:55 +0000

newt (0.52.21-3ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Install/remove alternatives for the ubuntu palette.
    - Don't install python-newt example files.
    - Add correct build-dependencies on python3-all-dbg and
      libpython3-all-dbg, needed due to debian/patches/snack.patch.
    - Revert Debian's dropping of /etc/newt/palette.original, used as an
      alternative in Ubuntu.
    - Remove libnewt0.52.preinst altogether, which contains destructive
      operations with none of the appropriate version guards.
    - Drop call to update-alternatives --auto in our postinst, which would
      clobber the user's settings.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 18 Oct 2019 14:54:37 -0700

newt (0.52.21-3) unstable; urgency=medium

  * Move to Standards-Version: 4.4.0
  * Drop reference to libpython-dev. Closes: #937133
  * Use debhelper-compat (= 12)
  * Drop --add-udeb in dh_makeshlibs, for dh 12

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Sep 2019 16:59:14 +0100

newt (0.52.21-2ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Install/remove alternatives for the ubuntu palette.
    - Don't install python-newt example files.
    - Add correct build-dependencies on python3-all-dbg and
      libpython3-all-dbg, needed due to debian/patches/snack.patch.
    - Revert Debian's dropping of /etc/newt/palette.original, used as an
      alternative in Ubuntu.
    - Remove libnewt0.52.preinst altogether, which contains destructive
      operations with none of the appropriate version guards.
    - Drop call to update-alternatives --auto in our postinst, which would
      clobber the user's settings.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 15 Jul 2019 22:16:32 -0700

newt (0.52.21-2) unstable; urgency=medium

  * Standards-Version: 4.3.0
  * Drop python-newt for python2 transition

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 14 Jul 2019 12:14:59 +0100

newt (0.52.21-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Install/remove alternatives for the ubuntu palette.
    - Don't install python-newt example files.
    - Add correct build-dependencies on python{3,}-all-dbg, needed due to
      debian/patches/snack.patch.

