=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: newt
 Section: devel
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Vcs-Browser: https://salsa.debian.org:/mckinstry/newt.git
-Vcs-Git: https://salsa.debian.org:/mckinstry/newt.git
-Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org:/mckinstry/newt.git -b debian/latest
+Standards-Version: 4.6.0
 Homepage: https://pagure.io/newt
-Build-Depends: debhelper (>= 10),
- sgmltools-lite, 
+Build-Depends: debhelper-compat (= 13),
+ docbook-utils,
  automake (>= 1.16),
  libslang2-dev  (>=2.0.4-2), 
  libpopt-dev,
  gettext, 
  libfribidi-dev, 
  tcl8.6-dev, 
- dh-python <!stage1>, 
- python-all-dev:any (>= 2.6.6-3~) <!stage1>,  
- python3-all-dev:any <!stage1>, 
- libpython-all-dev (>= 2.6.6-3~) <!stage1>,
- libpython3-all-dev <!stage1>,
- libpython-all-dbg <!stage1>,
+ dh-sequence-python3 <!nopython>, 
+ python3-all-dev:any <!nopython>, 
+ python3-all-dbg:any <!nopython>, 
+ libpython3-all-dev <!nopython>,
+ libpython3-all-dbg <!nopython>
 
 Package: libnewt-dev
 Architecture: any
@@ -60,24 +60,13 @@
  This module allows you to build a text UI for your Tcl scripts
  using newt.
 
-Package: python-newt
-Architecture: any
-Multi-Arch: same
-Section: python
-Provides: ${python:Provides}
-Depends: libnewt0.52 (=${binary:Version}) , ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Build-Profiles: <!stage1>
-Description: NEWT module for Python
- This module allows you to build a text UI for your Python scripts
- using newt.
-
 Package: python3-newt
 Architecture: any
 Multi-Arch: same
 Section: python
 Provides: ${python3:Provides}
 Depends: libnewt0.52 (=${binary:Version}) , ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Build-Profiles: <!stage1>
+Build-Profiles: <!nopython>
 Description: NEWT module for Python3
  This module allows you to build a text UI for your Python3 scripts
  using newt.
