=== debian/rules ===
--- 
+++ 
@@ -11,16 +11,11 @@
 
 # Magic debhelper rule.
 %:
-ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
-	dh $@ --with python2,python3
-else
 	dh $@ 
-endif
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
 DEB_HOST_ARCH_OS  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-PYVERS:=$(shell pyversions --supported)
 PY3VERS:=$(shell py3versions --supported)
 
 AM_VERS:=$(strip $(shell dpkg-query -f '$${source:Upstream-Version}' -W automake | egrep -o '^[0-9]+\.[0-9]+'))
@@ -45,6 +40,7 @@
 	rm -rf Makefile config.h* config.log config.status .depend libnewt.pc \
 	   configure install-sh po/*.mo python* tutorial libnewt_pic.a po/newt.pot
 	rm -f debian/shlibs.local
+	rm -f debian/python*-newt*.examples 
 
 override_dh_auto_configure:
 	# Nasty hack. why is it necessary?
@@ -54,18 +50,13 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	sgmltools --backend html tutorial.sgml
+	mkdir -p tutorial
+	(cd tutorial && docbook2html ../tutorial.sgml )
 	ar cqv libnewt_pic.a shared/*.o
 
 override_dh_auto_install:
 	dh_auto_install 
-ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
-	for v in $(PYVERS); do \
-		pylib=usr/lib/$$v/dist-packages ; \
-		mkdir -p debian/python-newt/$$pylib ; \
-		mv $$v/_snack.so debian/python-newt/$$pylib/_snack.$(DEB_HOST_MULTIARCH).so; \
-                cp snack.py $$v/* debian/python-newt/$$pylib; \
-	done
+ifeq ($(filter nopython,$(DEB_BUILD_PROFILES)),)
 	for v in $(PY3VERS); do \
                pylib=usr/lib/python3/dist-packages ; \
                abitag=.$$($$v -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"); \
@@ -79,9 +70,8 @@
         done
 	-find debian/python-* debian/python3-* -name '*.o' | xargs rm -f
 endif
-	dh_install -p libnewt-dev libnewt.a $(LIBDIR)
 	mkdir -p debian/libnewt-pic/$(LIBDIR)
 	cp newt*.ver debian/libnewt-pic/$(LIBDIR)/libnewt_pic.map
 
 override_dh_makeshlibs:
-	dh_makeshlibs -a -V --add-udeb="libnewt0.52-udeb"
+	dh_makeshlibs -a -V
