## newt 0.52.21-5ubuntu2+11.0trisquel3

=== debian/changelog ===
newt (0.52.21-5ubuntu2+11.0trisquel3) aramo; urgency=medium

  * Color palette set back to default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 15 Jul 2022 00:30:44 +0000
