## newt 0.52.22

=== debian/changelog ===
newt (0.52.22-1) unstable; urgency=medium

  * New upstream release. Closes: #1022052
  * Build against py3.10, py3.11

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Nov 2022 07:38:58 +0000

newt (0.52.21-6) unstable; urgency=medium

  * Machine-readable copyright file with fixed refs to some files, thanks
    Bastian  Germann. Closes: #1019930
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 18 Sep 2022 11:59:20 +0100
