## newt 0.52.23

=== debian/changelog ===
newt (0.52.23-1) unstable; urgency=medium

  * New upstream release
  * Update compiler-warnings.patch
  * Minor fix to d/rules (define WHIPTCLLIB) because configure changed

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 30 Nov 2022 08:24:07 +0000
