=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: newt
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Vcs-Browser: https://salsa.debian.org:/mckinstry/newt.git
 Vcs-Git: https://salsa.debian.org:/mckinstry/newt.git -b debian/latest
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://pagure.io/newt
 Build-Depends: debhelper-compat (= 13),
  docbook-utils,
@@ -18,8 +17,7 @@
  dh-sequence-python3 <!nopython>, 
  python3-all-dev:any <!nopython>, 
  python3-all-dbg:any <!nopython>, 
- libpython3-all-dev <!nopython>,
- libpython3-all-dbg <!nopython>
+ libpython3-all-dev <!nopython>
 
 Package: libnewt-dev
 Architecture: any
