## newt 0.52.24

=== debian/changelog ===
newt (0.52.24-2ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:10:06 +0000

newt (0.52.24-2ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2054152). Remaining changes:
    + Remove libnewt0.52.preinst altogether, which contains destructive
      operations with none of the appropriate version guards
    + Add correct build-dependencies on python3-all-dbg and
      libpython3-all-dbg, needed due to debian/patches/snack.patch
    + Don't install python-newt example files
    + Install/remove alternatives for the ubuntu palette
    + Revert Debian's dropping of /etc/newt/palette.original, used as an
      alternative in Ubuntu

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Tue, 20 Feb 2024 12:50:09 -0300

newt (0.52.24-2) unstable; urgency=medium

  * Ensure make fails if extension build fails. Closes: #1060660
  * Drop undefined python3:Provides in d/control

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Jan 2024 13:32:29 +0000

newt (0.52.24-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2045576). Remaining changes:
    + Remove libnewt0.52.preinst altogether, which contains destructive
      operations with none of the appropriate version guards
    + Add correct build-dependencies on python3-all-dbg and
      libpython3-all-dbg, needed due to debian/patches/snack.patch
    + Don't install python-newt example files
    + Install/remove alternatives for the ubuntu palette
    + Revert Debian's dropping of /etc/newt/palette.original, used as an
      alternative in Ubuntu
  * Removed irrelevant changelog entry discovered when merging with git-ubuntu

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Tue, 05 Dec 2023 14:21:31 -0300

newt (0.52.24-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 28 Oct 2023 09:47:05 +0100

newt (0.52.23-1ubuntu2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:10:17 +0000

newt (0.52.23-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Install/remove alternatives for the ubuntu palette
    + Don't install python-newt example files
    + Add correct build-dependencies on python3-all-dbg and
      libpython3-all-dbg, needed due to debian/patches/snack.patch
    + Revert Debian's dropping of /etc/newt/palette.original, used as an
      alternative in Ubuntu
    + Remove libnewt0.52.preinst altogether, which contains destructive
      operations with none of the appropriate version guards
    + Drop call to update-alternatives --auto in our postinst, which would
      clobber the user's settings

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 16 Feb 2023 15:02:12 +0000

newt (0.52.21-5ubuntu3) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 02 Nov 2022 08:32:23 +0000
