=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: newt
 Section: devel
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Vcs-Browser: https://salsa.debian.org:/mckinstry/newt.git
 Vcs-Git: https://salsa.debian.org:/mckinstry/newt.git -b debian/latest
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://pagure.io/newt
 Build-Depends: debhelper-compat (= 13),
  docbook-utils,
@@ -17,7 +18,8 @@
  dh-sequence-python3 <!nopython>, 
  python3-all-dev:any <!nopython>, 
  python3-all-dbg:any <!nopython>, 
- libpython3-all-dev <!nopython>
+ libpython3-all-dev <!nopython>,
+ libpython3-all-dbg <!nopython>
 
 Package: libnewt-dev
 Architecture: any
@@ -62,7 +64,6 @@
 Architecture: any
 Multi-Arch: same
 Section: python
-Provides: ${python3:Provides}
 Depends: libnewt0.52 (=${binary:Version}) , ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Build-Profiles: <!nopython>
 Description: NEWT module for Python3
