=== debian/rules ===
--- 
+++ 
@@ -40,6 +40,7 @@
 	rm -rf Makefile config.h* config.log config.status .depend libnewt.pc \
 	   configure install-sh po/*.mo python* tutorial libnewt_pic.a po/newt.pot
 	rm -f debian/shlibs.local
+	rm -f debian/python*-newt*.examples 
 
 override_dh_auto_configure:
 	# Nasty hack. why is it necessary?
