## newt 0.52.25

=== debian/changelog ===
newt (0.52.25-1ubuntu2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:30:20 +0000

newt (0.52.25-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2112046). Remaining changes:
    + Remove libnewt0.52.preinst altogether, which contains destructive
      operations with none of the appropriate version guards
    + Add correct build-dependencies on python3-all-dbg and
      libpython3-all-dbg, needed due to debian/patches/snack.patch
    + Don't install python-newt example files
    + Install/remove alternatives for the ubuntu palette
    + Revert Debian's dropping of /etc/newt/palette.original, used as an
      alternative in Ubuntu

 -- Simon Poirier <simon.poirier@canonical.com>  Tue, 17 Jun 2025 11:16:24 -0400

newt (0.52.25-1) unstable; urgency=medium

  * New upstream release
  * Update patches:
    - makefile-fail.patch: redundant 
  * Update version number in install files
  * Install snack.py via python3-newt.install
  * Replace FSF ols address n d/copyright

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Apr 2025 15:43:26 +0100

newt (0.52.24-4ubuntu2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:35:15 +0000

newt (0.52.24-4ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2090841). Remaining changes:
    + Remove libnewt0.52.preinst altogether, which contains destructive
      operations with none of the appropriate version guards
    + Add correct build-dependencies on python3-all-dbg and
      libpython3-all-dbg, needed due to debian/patches/snack.patch
    + Don't install python-newt example files
    + Install/remove alternatives for the ubuntu palette
    + Revert Debian's dropping of /etc/newt/palette.original, used as an
      alternative in Ubuntu
  * Dropped changes:
    + d/p/fix-bidi-i386.patch: patch upstreamed to Debian, therefore removed
      from Ubuntu delta.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Mon, 02 Dec 2024 11:43:08 -0300

newt (0.52.24-4) unstable; urgency=medium

  * Rebuild for python3.13 support.
  * Close old bugs: #1025163, #1033421
  * cross.patch: FIx FTCBFS with wrong python-config. Closes: #1061246:

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Nov 2024 15:52:04 +0000

newt (0.52.24-3) unstable; urgency=medium

  [ Alastair McKinstry ]
  * Fix broken vcs url
  * Standards-Version: 4.7.0; no changes required
  * Patch from henryn to support nopython.  Closes: #1033465
  * python3-newt examples use /usr/bin/python3. Closes: #983468
  * Fix from upstream for i386 FTBFS. Closes: #1086133
  * Rename NEWS.Debian following Lintian

  [ Helmut Grohne ]
  * Support for noudeb profile. Closes: #1024939
  * Fix for nopython build profile. Closes: #1033431, #1082963

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 03 Nov 2024 13:59:22 +0000

newt (0.52.24-2ubuntu4) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:03:12 +0100

newt (0.52.24-2ubuntu3) oracular; urgency=high

  * d/pacthes/fix-bidi-i386.patch, d/patches/series: On i386, the build for newt
  fails due to an incompatible pointer type in wchar_to_textmod_visual while calling
  fribidi_log2vis (-Werror is enabled). This change typecasts the argument (from a
  wchar_t * to a FriBidiChar *) to pass it. (LP: #2083549)

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Tue, 24 Sep 2024 00:00:45 +0530
