=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Vcs-Browser: https://salsa.debian.org:/mckinstry/newt.git
-Vcs-Git: https://salsa.debian.org:/mckinstry/newt.git -b debian/latest
-Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/mckinstry/newt.git
+Vcs-Git: https://salsa.debian.org/mckinstry/newt.git -b debian/latest
+Standards-Version: 4.7.0
 Homepage: https://pagure.io/newt
 Build-Depends: debhelper-compat (= 13),
  docbook-utils,
@@ -51,6 +51,7 @@
  You only need this package to support applications needing Newt during
  the Debian installation process time and probably don't need to select it.
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 
 Package: newt-tcl
 Architecture: any
