=== debian/watch ===
version=3
https://releases.pagure.org/newt/newt-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
